Subject: Re: linux-next: Tree for Oct 21 (drivers/net/wireless/mediatek/mt76/sdio.o)

From: Lorenzo Bianconi <[email-masked]>
Date: Fri, 22 Oct 2021 00:45:08 +0200

> On 10/21/21 12:43 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20211020:

Hi Randy,

can you please the patch below?

Regards,
Lorenzo

diff --git a/drivers/net/wireless/mediatek/mt76/mt7921/Kconfig b/drivers/net/wireless/mediatek/mt76/mt7921/Kconfig
index ce3a06227901..71154fc2a87c 100644
--- a/drivers/net/wireless/mediatek/mt76/mt7921/Kconfig
+++ b/drivers/net/wireless/mediatek/mt76/mt7921/Kconfig
@@ -19,6 +19,7 @@ config MT7921S
 	select MT76_SDIO
 	select MT7921_COMMON
 	depends on MAC80211
+	depends on MMC
 	help
 	  This adds support for MT7921S 802.11ax 2x2:2SS wireless devices.
 
> > 
> 
> on x86_64:
> 
> ld: drivers/net/wireless/mediatek/mt76/sdio.o: in function `mt76s_rr':
> sdio.c:(.text+0x1263): undefined reference to `sdio_claim_host'
> ld: sdio.c:(.text+0x1278): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x12c8): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1327): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x134d): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x138c): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x140f): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x1498): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x14e5): undefined reference to `sdio_release_host'
> ld: drivers/net/wireless/mediatek/mt76/sdio.o: in function `mt76s_wr':
> sdio.c:(.text+0x1599): undefined reference to `sdio_claim_host'
> ld: sdio.c:(.text+0x15ae): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x15f9): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1646): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x16a5): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x16cb): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x170a): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x1782): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x17e9): undefined reference to `sdio_release_host'
> ld: drivers/net/wireless/mediatek/mt76/sdio.o: in function `mt76s_hw_init':
> sdio.c:(.text+0x1a56): undefined reference to `sdio_claim_host'
> ld: sdio.c:(.text+0x1a5e): undefined reference to `sdio_enable_func'
> ld: sdio.c:(.text+0x1a81): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1ae1): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x1b18): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x1b45): undefined reference to `sdio_set_block_size'
> ld: sdio.c:(.text+0x1b9e): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1bcb): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1bef): undefined reference to `sdio_readl'
> ld: sdio.c:(.text+0x1c10): undefined reference to `sdio_writel'
> ld: sdio.c:(.text+0x1c27): undefined reference to `sdio_claim_irq'
> ld: sdio.c:(.text+0x1c37): undefined reference to `sdio_release_host'
> ld: sdio.c:(.text+0x1c43): undefined reference to `sdio_disable_func'
> ld: sdio.c:(.text+0x1c4b): undefined reference to `sdio_release_host'
> ld: sdio.c:(.text+0x1c5e): undefined reference to `sdio_writel'
> ld: drivers/net/wireless/mediatek/mt76/sdio.o: in function `mt76s_deinit':
> sdio.c:(.text+0x208e): undefined reference to `sdio_claim_host'
> ld: sdio.c:(.text+0x20af): undefined reference to `sdio_release_irq'
> ld: sdio.c:(.text+0x20d0): undefined reference to `sdio_release_host'
> ld: drivers/net/wireless/mediatek/mt76/sdio.o: in function `mt76s_read_pcr':
> sdio.c:(.text+0x11bd): undefined reference to `sdio_readl'
> ld: drivers/net/wireless/mediatek/mt76/sdio_txrx.o: in function `__mt76s_xmit_queue':
> sdio_txrx.c:(.text+0xf7): undefined reference to `sdio_writesb'
> ld: drivers/net/wireless/mediatek/mt76/sdio_txrx.o: in function `mt76s_rx_run_queue':
> sdio_txrx.c:(.text+0xffc): undefined reference to `sdio_readsb'
> ld: drivers/net/wireless/mediatek/mt76/sdio_txrx.o: in function `mt76s_txrx_worker':
> sdio_txrx.c:(.text+0x1a18): undefined reference to `sdio_claim_host'
> ld: sdio_txrx.c:(.text+0x1a4d): undefined reference to `sdio_writel'
> ld: sdio_txrx.c:(.text+0x22c7): undefined reference to `sdio_writel'
> ld: sdio_txrx.c:(.text+0x22e9): undefined reference to `sdio_release_host'
> 
> 
> Full randconfig file is attached.
> 
> -- 
> ~Randy